<?php

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
if ( empty( $loop ) ) {
	return;
}
$query = false;
list( $loop_args, $query ) = vc_build_loop_query( $loop, get_the_ID() );
if ( ! $query ) {
	return;
}

if ( ! ( $item_template_path = phone_repair_find_template_path( $item_template ) ) ) {
	$item_template_path = PHONE_REPAIR_PLUGIN_DIR_PATH . 'templates/post-teaser-default.php';
}

$class = 'post-carousel js-post-carousel';
$class .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
$class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );
$item_class = '';
$item_read_more_text = $read_more_link_text;

if ( $image_size ) {
	if ( preg_match_all( '/(\d+)x(\d+)/', $image_size, $sizes ) && isset( $sizes[1][0] ) ) {
		$item_thumbnail_size = array( $sizes[1][0], $sizes[2][0] );
	} else {
		$item_thumbnail_size = $image_size;
	}
}
?>

<section class="<?php echo esc_attr( $class ) ?>">
	<?php if ( ! empty( $title ) ) : ?>
		<h2 class="post-carousel__title"><?php echo wp_kses_post( $title ) ?></h2>
	<?php endif; ?>
	<div class="post-carousel__items js-post-carousel__items owl-carousel" data-interval="<?php echo esc_attr( $interval * 1000 ) ?>">
		<?php
		if ( $query->have_posts() ) {
			while ( $query->have_posts() ) {
				$query->the_post();
				$item_thumbnail_id = false;
				if ( ! $disable_preview_image && has_post_thumbnail() ) {
					$item_thumbnail_id = get_post_thumbnail_id();
				}
				require $item_template_path;
			}
			wp_reset_postdata();
		}
		?>
	</div>
</section>
