<?php

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

if ( empty( $post_id ) ) {
	return;
}

$query = new WP_Query( array(
	'p' => $post_id,
	'post_type' => 'any',
	'ignore_sticky_posts' => true,
) );

if ( $query->have_posts() ) {
	$query->the_post();
	$item_class = vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class );
	$item_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $item_class, $this->settings['base'], $atts );
	$item_thumbnail_id = false;
	if ( ! $disable_preview_image ) {
		if ( $image_id ) {
			$item_thumbnail_id = $image_id;
		} elseif ( has_post_thumbnail() ) {
			$item_thumbnail_id = get_post_thumbnail_id();
		}
	}
	$item_read_more_text = $read_more_link_text;

	if ( ! ( $template_path = phone_repair_find_template_path( $template ) ) ) {
		$template_path = PHONE_REPAIR_PLUGIN_DIR_PATH . 'templates/post-teaser-default.php';
	}
	require $template_path;

	wp_reset_postdata();
}
