<?php

require_once get_template_directory() . '/inc/tgmpa/class-tgm-plugin-activation.php';

function phone_repair_register_required_plugins() {
	$plugins = array(
		array(
			'name'     => esc_html__( 'Phone Repair Custom Post Types & Shortcodes Plugin', 'phone-repair' ),
			'slug'     => 'phone-repair-plugin',
			'source'   => get_template_directory() . '/inc/tgmpa/plugins/phone-repair-plugin.zip',
			'required' => false,
			'version'  => '1.7.2',
		),
		array(
			'name'     => esc_html__( 'Breadcrumb NavXT', 'phone-repair' ),
			'slug'     => 'breadcrumb-navxt',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'Carbon Fields', 'phone-repair' ),
			'slug'     => 'carbon-fields',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'Contact Form 7', 'phone-repair' ),
			'slug'     => 'contact-form-7',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'Easy Google Fonts', 'phone-repair' ),
			'slug'     => 'easy-google-fonts',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'WPBakery Page Builder for WordPress', 'phone-repair' ),
			'slug'     => 'js_composer',
			'source'   => get_template_directory() . '/inc/tgmpa/plugins/js_composer.zip',
			'required' => false,
			'version'  => '5.4.7',
		),
		array(
			'name'     => esc_html__( 'One Click Demo Import', 'phone-repair' ),
			'slug'     => 'one-click-demo-import',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'Recent Posts Widget Extended', 'phone-repair' ),
			'slug'     => 'recent-posts-widget-extended',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'Slider Revolution', 'phone-repair' ),
			'slug'     => 'revslider',
			'source'   => get_template_directory() . '/inc/tgmpa/plugins/revslider.zip',
			'required' => false,
			'version'  => '5.4.7.4',
		),
		array(
			'name'     => esc_html__( 'WooCommerce', 'phone-repair' ),
			'slug'     => 'woocommerce',
			'required' => false,
		),
		array(
			'name'     => esc_html__( 'WooCommerce Grid / List toggle', 'phone-repair' ),
			'slug'     => 'woocommerce-grid-list-toggle',
			'required' => false,
		),
	);

	tgmpa( $plugins, array( 'is_automatic' => true ) );
}
add_action( 'tgmpa_register', 'phone_repair_register_required_plugins' );
