<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry entry--single' ); ?>>
	<?php
	// Thumbnail
	if ( ! post_password_required() && has_post_thumbnail() ) {
		the_post_thumbnail( 'medium_large', array( 'class' => 'entry__thumbnail', 'alt' => get_the_title() ) );
	}
	// Title
	if ( phone_repair_hide_page_title() ) {
		the_title( '<h1 class="entry__title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
	}
	?>

	<div class="entry__metas"><?php phone_repair_post_meta() ?></div>

	<?php
	// Content
	the_content();
	// Pages
	wp_link_pages( array(
		'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'phone-repair' ),
		'after'  => '</div>',
	) );
	?>
</article>
