<div class="<?php echo esc_attr( $class ) ?>">
	<?php
	if ( ! empty( $image_id ) ) {
		echo wp_get_attachment_image( $image_id, 'phone-repair-360x185-cropped', false, array( 'class' => 'info-box__image' ) );
	}
	?>

	<div class="info-box__body">
		<?php if ( ! empty( $icon_class ) ) : ?>
			<div class="info-box__icon <?php echo esc_attr( 'info-box__icon--' . $icon_size . ' ' . $icon_class ) ?>" style="<?php echo esc_attr( $icon_style ) ?>"></div>
		<?php endif ?>
		<div class="info-box__copy">
			<?php if ( ! empty( $title ) ) : ?>
				<h3 class="info-box__title"><?php echo esc_html( $title ) ?></h3>
			<?php endif ?>
			<?php echo wpb_js_remove_wpautop( $content, true ); // wpcs: xss ok ?>
		</div>
	</div>
</div>
