<div class="<?php echo esc_attr( $class ) ?>">
	<?php
	if ( ! empty( $image_id ) ) {
		echo wp_get_attachment_image( $image_id, 'medium' );
	}
	?>
	<?php if ( ! empty( $icon_class ) ) : ?>
		<div class="<?php echo esc_attr( $icon_class ) ?>" style="<?php echo esc_attr( $icon_style ) ?>"></div>
	<?php endif ?>
	<?php if ( ! empty( $title ) ) : ?>
		<h3><?php echo esc_html( $title ) ?></h3>
	<?php endif ?>
	<?php echo wpb_js_remove_wpautop( $content, true ); // wpcs: xss ok ?>
</div>
