<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
	<?php if ( ! post_password_required() && has_post_thumbnail() ) : ?>
		<a href="<?php echo esc_url( get_permalink() ) ?>">
			<?php the_post_thumbnail( 'medium_large', array( 'class' => 'entry__thumbnail', 'alt' => get_the_title() ) ) ?>
		</a>
	<?php endif ?>
	<?php the_title( '<h2 class="entry__title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' ) ?>
	<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry__metas"><?php phone_repair_post_meta() ?></div>
	<?php endif ?>
	<p><?php the_excerpt() ?></p>
	<a class="more-link" href="<?php echo esc_url( get_permalink() ) ?>" data-text="<?php echo esc_attr( 'Read more', 'phone-repair' ) ?>"><?php echo esc_html( 'Read more', 'phone-repair' ) ?></a>
</article>
