<?php
if ( ! is_active_sidebar( 'footer-widgets-1' ) && ! is_active_sidebar( 'footer-widgets-2' ) && ! is_active_sidebar( 'footer-widgets-3' ) ) {
	return;
}
?>
<div class="footer-widgets">
	<div class="footer-widgets__container">
		<div class="footer-widgets__col">
			<?php
			if ( is_active_sidebar( 'footer-widgets-1' ) ) {
				dynamic_sidebar( 'footer-widgets-1' );
			}
			?>
		</div>
		<div class="footer-widgets__col">
			<?php
			if ( is_active_sidebar( 'footer-widgets-2' ) ) {
				dynamic_sidebar( 'footer-widgets-2' );
			}
			?>
		</div>
		<div class="footer-widgets__col">
			<?php
			if ( is_active_sidebar( 'footer-widgets-3' ) ) {
				dynamic_sidebar( 'footer-widgets-3' );
			}
			?>
		</div>
	</div>
</div>
