<?php
$logo_url = phone_repair_get_header_logo_url();
?>
<div class="navigation-bar js-navigation-bar">
	<div class="navigation-bar__logo-and-toggle-wrap">
		<div class="navigation-bar__logo header-logo">
			<a href="<?php echo esc_url( home_url( '/' ) ) ?>">
				<?php if ( empty( $logo_url ) ) : ?>
					<span class="header-logo__blogname"><?php echo esc_html( get_option( 'blogname' ) ) ?></span>
				<?php else : ?>
					<img class="header-logo__img" src="<?php echo esc_url( $logo_url ) ?>" alt="<?php echo esc_attr( get_option( 'blogname' ) ) ?>" />
				<?php endif ?>
			</a>
		</div>
		<button class="navigation-bar__mobile-menu-toggle js-navigation-bar__mobile-menu-toggle burger-button" type="button">
			<span class="screen-reader-text"><?php echo esc_html( 'Toggle navigation menu', 'phone-repair' ) ?></span>
			<span class="burger-button__bar"></span>
			<span class="burger-button__bar"></span>
			<span class="burger-button__bar"></span>
		</button>
	</div>
	<?php phone_repair_bem_nav_menu( 'primary', 'primary-menu', 'navigation-bar__menu js-navigation-bar__menu is-closed' ) ?>
</div>
