<?php
if ( phone_repair_hide_page_title() ) {
	return;
}
$breadcrumbs = phone_repair_get_breadcrumbs();
?>

<div class="<?php echo esc_attr( phone_repair_get_page_title_class() ) ?>">
	<h1 class="page-title__title"><?php echo esc_html( phone_repair_get_page_title() ) ?></h1>
	<?php if ( ! empty( $breadcrumbs ) ) : ?>
		<div class="page-title__breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
			<?php echo wp_kses( $breadcrumbs, 'breadcrumb_navxt' ) ?>
		</div>
	<?php endif ?>
</div>
