<div class="post-teaser <?php echo esc_attr( $item_class ) ?>">
	<?php if ( $item_thumbnail_id ) : ?>
		<a href="<?php the_permalink() ?>">
			<?php echo wp_get_attachment_image( $item_thumbnail_id, isset( $item_thumbnail_size ) ? $item_thumbnail_size : 'phone-repair-360x185-cropped', false, array( 'class' => 'post-teaser__thumb' ) ) ?>
		</a>
	<?php endif ?>
	<h3 class="post-teaser__title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
	<p class="post-teaser__excerpt"><?php echo wp_kses_post( get_the_excerpt() ) ?></p>
	<div class="post-teaser__footer">
		<?php
		// Date
		printf(
			'<div class="post-teaser__meta"><span class="screen-reader-text">%1$s </span><span class="ti-calendar"> </span><time datetime="%2$s">%3$s</time></div>',
			esc_html__( 'Posted on', 'phone-repair' ),
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date( 'M j, Y' ) )
		);
		// Author
		printf(
			'<div class="post-teaser__meta"><span class="screen-reader-text">%1$s</span><span class="ti-pencil-alt"> </span>%2$s</div>',
			esc_html__( 'Author: ', 'phone-repair' ),
			esc_html( get_the_author() )
		);
		?>
		<?php if ( ! empty( $item_read_more_text ) ) : ?>
			<a class="post-teaser__more-link post-teaser__more-link--pull_right more-link" href="<?php the_permalink() ?>" data-text="<?php echo esc_attr( $item_read_more_text ) ?>">
				<?php echo esc_html( $item_read_more_text ) ?>
			</a>
		<?php endif ?>
	</div>
</div>
