<div class="post-teaser4 <?php echo esc_attr( $item_class ) ?>">
	<?php if ( $item_thumbnail_id ) : ?>
		<div class="post-teaser4__image-container js-post-image-container">
			<?php echo wp_get_attachment_image( $item_thumbnail_id, 'medium-large', false, array( 'class' => 'post-teaser4__image' ) ) ?>
		</div>
	<?php endif ?>
	<div class="post-teaser4__bg-overlay"></div>
	<div class="post-teaser4__text-container">
		<h3 class="post-teaser4__title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
		<div class="post-teaser4__excerpt"><?php echo wp_kses_post( get_the_excerpt() ) ?></div>
		<div class="post-teaser4__metas">
			<?php
			// Date
			printf(
				'<div class="post-teaser4__meta"><span class="screen-reader-text">%1$s </span><span class="ti-calendar"> </span><time datetime="%2$s">%3$s</time></div>',
				esc_html__( 'Posted on', 'phone-repair' ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date( 'M j, Y' ) )
			);
			// Author
			printf(
				'<div class="post-teaser4__meta"><span class="screen-reader-text">%1$s</span><span class="ti-pencil-alt"> </span>%2$s</div>',
				esc_html__( 'Author: ', 'phone-repair' ),
				esc_html( get_the_author() )
			);
			?>
		</div>
		<?php if ( ! empty( $item_read_more_text ) ) : ?>
			<a class="post-teaser4__more" href="<?php the_permalink() ?>">
				<?php echo esc_html( $item_read_more_text ) ?>
			</a>
		<?php endif ?>
	</div>
</div>
