<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<form role="search" method="get" class="woocommerce-product-search search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label class="screen-reader-text" for="woocommerce-product-search-field-<?php echo isset( $index ) ? absint( $index ) : 0; ?>"><?php echo esc_html_x( 'Search for:', 'label', 'phone-repair' ) ?></label>
	<input type="search" id="woocommerce-product-search-field-<?php echo isset( $index ) ? absint( $index ) : 0; ?>" class="search-form__field" placeholder="<?php echo esc_attr__( 'Search products&hellip;', 'phone-repair' ) ?>" value="<?php echo get_search_query() ?>" name="s" />
	<button type="submit" class="search-form__submit"><span class="icon fa fa-search"></span><span class="screen-reader-text"><?php echo esc_html_x( 'Search', 'submit button', 'phone-repair' ) ?></span></button>
	<input type="hidden" name="post_type" value="product" />
</form>
